    /*
     *  call-seq:
     *     lazy_doc.fields -> array of available fields
     *
     *  Returns the list of fields stored for this particular document. If you try
     *  to access any of these fields in the document the field will be loaded.
     *  Try to access any other field an nil will be returned.
     */
    static VALUE
    frt_lzd_fields(VALUE self)
    {
        return rb_ivar_get(self, id_fields);
    }